Bug 323707 - Mail dispatcher will ask twice for going online when sending an email after an offline period
Summary: Mail dispatcher will ask twice for going online when sending an email after a...
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: general (show other bugs)
Version: 4.10.5
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-19 10:28 UTC by Florian Fainelli
Modified: 2013-09-09 07:05 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Fainelli 2013-08-19 10:28:05 UTC
When the mail dispatcher has been offline, as a result of a an authentication failure or for some other reason, the next time an email is to be sent, it will ask twice for going back online. The first time is normal because the mail dispatcher is offline, but even after pressing "Yes" there is a second popup to ask if the mail dispatcher should be put online.
Comment 1 Laurent Montel 2013-09-08 13:45:13 UTC
I confirm it.
Will investigate.
Comment 2 Laurent Montel 2013-09-09 07:05:59 UTC
Git commit 83351680e5a8726e531f3c450a9c049367bb376f by Montel Laurent.
Committed on 09/09/2013 at 07:05.
Pushed by mlaurent into branch 'KDE/4.11'.

Fix Bug 323707 - Mail dispatcher will ask twice for going online when sending an email after an offline period

FIXED-IN: 4.11.2

M  +1    -1    kmail/editor/kmcomposewin.cpp
M  +2    -2    messagecomposer/composer/composerviewbase.cpp
M  +1    -1    messagecomposer/composer/composerviewbase.h

http://commits.kde.org/kdepim/83351680e5a8726e531f3c450a9c049367bb376f